#2565 closed defect (fixed)

powerpc/mpc8260ads: linker script update (add KEEP() sections)

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: Indefinite
Component: bsps Version: 5
Severity: normal Keywords: function sections, KEEP
Cc: Blocked By:
Blocking:

Description

This BSP's linker script does not include KEEP() directives and thus cannot have per-function and per-data element section support enabled.

The preferred solution is to convert the BSP to use a shared base linker script. The acceptable solution is to add the proper KEEP directives to the existing linker script(s).

Shared linker scripts for the arm, m68k, and sparc have the proper KEEP sections and can serve as examples.

Change History (5)

comment:1 Changed on Feb 15, 2017 at 1:49:47 PM by Sebastian Huber

Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Aug 24, 2017 at 5:59:58 AM by Sebastian Huber

Milestone: 4.12.0Indefinite

comment:4 Changed on Sep 14, 2018 at 6:58:47 PM by Joel Sherrill

Keywords: function sections KEEP added

comment:5 Changed on Nov 30, 2018 at 7:29:29 PM by Shashvat Jain <shashvatjain2002@…>

Resolution: fixed
Status: assignedclosed

In c056f21/rtems:

powerpc/mpc8260ads:Add per-section compilation and linking support (GCI 2018)

The size of the sample executables without this option were:

text data bss dec hex filename

257876 3416 148812 410104 641f8 ./capture.exe
126956 2428 145836 275220 43314 ./base_sp.exe
330400 4600 146916 481916 75a7c ./cdtest.exe

1092476 23588 153684 1269748 135ff4 ./cxx_iostream.exe

654892 6056 158868 819816 c8268 ./fileio.exe
159260 2812 145956 308028 4b33c ./hello.exe
339392 7344 152824 499560 79f68 ./loopback.exe
106388 2276 142644 251308 3d5ac ./minimum.exe
156348 2960 145980 305288 4a888 ./nsecs.exe
201020 3204 146592 350816 55a60 ./paranoia.exe
547684 13548 175556 736788 b3e14 ./pppd.exe
130108 2468 145872 278448 43fb0 ./ticker.exe
129740 2436 149696 281872 44d10 ./unlimited.exe

The size of the sample executables with this option were:

text data bss dec hex filename

246508 2856 147036 396400 60c70 ./cxx_iostream.exe
641752 6016 158548 806316 c4dac ./fileio.exe
148264 2800 145916 296980 48814 ./hello.exe
319252 7340 152756 479348 75074 ./loopback.exe
100396 2288 142556 245240 3bdf8 ./minimum.exe
148200 2932 145892 297024 48840 ./nsecs.exe
190520 3192 146552 340264 53128 ./paranoia.exe
531300 13544 175480 720324 afdc4 ./pppd.exe
124008 2472 145788 272268 4278c ./ticker.exe
127848 2432 149660 279940 44584 ./unlimited.exe
121272 2432 145752 269456 41c90 ./base_sp.exe
241104 3412 148768 393284 60044 ./capture.exe
245424 2936 146876 395236 607e4 ./cdtest.exe

Closes #2565

Note: See TracTickets for help on using tickets.